Subject: [bug#72943] bug#72962: php-8.3.10 build failure

From: Marek Paśnikowski <[email-masked]>
Date: Wed, 04 Sep 2024 08:50:39 +0200

Carlo Zancanaro <[email-masked]> writes:

> * gnu/packages/php.scm (php)[arguments]: Delete three tests that are known to
> fail.
>

This is my first time composing a patch review — I am not sure if I am
doing it correctly.

I attempted to build php with the following command:
=
guix build php --with-patch=gd=patch-1.txt --with-patch=php=patch-2.txt
=

The text files are files saved by using the “download” option of the web
interface of Guix Issues.  My understanding is that the patch to gd
applies cleanly, but the patch to php does not:

=
source is at 'php-8.3.10'
applying '/gnu/store/f2zxspb49cbcmcla3mbjrikl48kmbf52-patch-2.txt'...
can't find file to patch at input line 13
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|* gnu/packages/php.scm (php)[arguments]: Delete three tests that are known to
|fail.
|
|Change-Id: Ib684328654c75f37111d252fb0f9fb3356daff9a
|---
| gnu/packages/php.scm | 7 +++++++
| 1 file changed, 7 insertions(+)
|
|diff --git a/gnu/packages/php.scm b/gnu/packages/php.scm
|index 8f879dbdca..ce7458d0e5 100644
|--- a/gnu/packages/php.scm
|+++ b/gnu/packages/php.scm
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
patch unexpectedly ends in middle of line
=

Is this helpful?